import React, { Component } from 'react';
import {
  Container,
  Content,
  View,
  Text,
  Button,
  Icon,
  List,
  ListItem,
  Right,
  Left,
} from 'native-base';
import AppHeader from './../components/Header';
import realm from './../Database/';
import moment from 'moment';

class AppointmentListScreen extends Component {

  constructor(props) {
    super(props)
    this.state = {
      appointmentList: [],
    }
  }

  componentWillMount() {
    this._queryDbAppointment()
  }

  render() {

    const { appointmentListStyle } = styles
    const { goBack } = this.props.navigation

    return (
      <Container>
        <AppHeader
          headerText={"Appointments"}
          headerLeft={
            <Button onPress={() => goBack(null)}>
              <Icon name='arrow-back' />
            </Button>
          }
          headerRight={
            <Button onPress={() => this._addAppointment()}>
              <Icon name='add' />
            </Button>
          }
        />
        <Content>
          <Text>Appointment List</Text>
          <List dataArray={this.state.appointmentList}
            renderRow={(item) =>
              <ListItem style={appointmentListStyle}>
                <View style={{ flex: 1 }}>
                  <Text>{"Doctor: " + item.doctorName}</Text>
                  <Text>{"Date: " + moment(item.date).format("DD MM YYYY")}</Text>
                  <Text>{"Time: " + moment(item.date).format("HH:mm")}</Text>
                  <Text>{"Place: " + item.place}</Text>
                </View>
                <View>
                  <Icon name='more' />
                </View>
              </ListItem>
            }>
          </List>
        </Content>
      </Container>
    )
  }

  _addAppointment() {
    this.props.navigation.navigate("AddAppointment")
  }

  _queryDbAppointment() {
    const tmpAppointment = realm.objects("Appointments")
    this.setState({ appointmentList: tmpAppointment })
  }

}

const styles = {
  appointmentListStyle: {
    marginLeft: 0,
    marginRight: 0,
    marginTop: 0,
    marginBottom: 0,
    padding: 15,
  }

}

export default AppointmentListScreen;