import React, { Component } from 'react';
import {
  Container,
  Content,
  View,
  Button,
  Icon,
  Text,
  List,
  ListItem
} from 'native-base';
import AppHeader from './../components/Header';
import realm from './../Database/'

class MedicationListScreen extends Component {

  constructor(props) {
    super(props)
    this.state = {
      reminderList: []
    }
  }

  componentWillMount() {
    this._queryMedicineList()
  }

  render() {

    const { reminderListStyle } = styles

    const { goBack } = this.props.navigation

    return (
      <Container>
        <AppHeader
          headerText={"Medications"}
          headerLeft={
            <Button onPress={() => goBack(null)}>
              <Icon name='arrow-back' />
            </Button>
          }
          headerRight={
            <Button onPress={() => this._addReminder()}>
              <Icon name='add' />
            </Button>
          }
        />
        <Content>
          <Text>Reminder List</Text>
          <List dataArray={this.state.reminderList}
            renderRow={(item) =>
              <ListItem style={reminderListStyle}>
                <Text>{item.medName}</Text>
              </ListItem>
            }>
          </List>
        </Content>
      </Container>
    )
  }

  _queryMedicineList() {

    var tmpReminder = realm.objects("Reminder")
    this.setState({ reminderList: tmpReminder })

  }

  _addReminder() {
    this.props.navigation.navigate("AddMedication")
  }

}

const styles = {
  reminderListStyle: {
    marginLeft: 0,
    marginRight: 0,
    marginTop: 0,
    marginBottom: 0,
    padding: 15
  }
}

export default MedicationListScreen;